Несколько уязвимостей в Drupal IMCE

Дата публикации:
09.10.2006
Дата изменения:
17.10.2006
Всего просмотров:
1626
Опасность:
Высокая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2006-7110
CVE-2006-7109
Вектор эксплуатации:
Удаленная
Воздействие:
Неавторизованное изменение данных
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
IMCE 4.x (модуль к Drupal)
Уязвимые версии: IMCE (модуль к Drupal) 4.7, возможно более ранние версии.

Описание:
Обнаруженные уязвимости могут позволить злоумышленнику удалить произвольные файлы или скомпрометировать целевую систему.

1. Функционал удаления файлов не достаточно проверяет относительные пути перед удалением файлов. Удаленные пользователь с привилегиями на удаление файлов может удалить произвольные файлы на системе.

2. Уязвимость существует из-за ошибки при обработке расширений файлов во время загрузки. Удаленный пользователь может выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера.

URL производителя: drupal.org/project/imce

Решение: Установите последнюю версию с сайта производителя.

Ссылки: IMCE file handling vulnerabilities

или введите имя

CAPTCHA